Replace Pathway
curl --request PUT \
--url https://api.pathors.com/v1/projects/{projectId}/pathway \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"nodes": [
{}
],
"edges": [
{}
],
"version": "<string>"
}
'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/pathway"
payload = {
"nodes": [{}],
"edges": [{}],
"version": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({nodes: [{}], edges: [{}], version: '<string>'})
};
fetch('https://api.pathors.com/v1/projects/{projectId}/pathway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Replace Pathway
Replace the entire pathway
PUT
/
v1
/
projects
/
{projectId}
/
pathway
Replace Pathway
Request
PUT https://api.pathors.com/v1/projects/{projectId}/pathway
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Body
array
required
Array of pathway nodes. Must contain at least one
start node.array
required
Array of edges connecting nodes.
string
required
Pathway version string.
Response
{
"message": "Pathway saved"
}
⌘I
